Bug 18196 - There is no need to have legacycaller on HTMLPropertiesCollection
Summary: There is no need to have legacycaller on HTMLPropertiesCollection
Status: RESOLVED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: ---
Assignee: Silvia Pfeiffer
QA Contact: HTML WG Bugzilla archive list
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-18 17:38 UTC by contributor
Modified: 2012-09-21 10:22 UTC (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-07-18 17:38:27 UTC
This was was cloned from bug 17161 as part of operation convergence.
Originally filed: 2012-05-23 13:49:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2012-05-23 13:49:49 +0000 
--------------------------------------------------------------------------------
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/common-dom-interfaces.html
Multipage: http://www.whatwg.org/C#htmloptionscollection-0
Complete: http://www.whatwg.org/c#htmloptionscollection-0

Comment:
There is no need to have legacycaller on HTMLPropertiesCollection

Posted from: 71.184.125.56 by bzbarsky@mit.edu
User agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:15.0) Gecko/15.0 Firefox/15.0a1
================================================================================
 #1   Boris Zbarsky                                   2012-05-23 13:50:43 +0000 
--------------------------------------------------------------------------------
HTMLCollection no longer has legacycaller.

So there is no reason to have it on HTMLPropertiesCollection, especially since there is no legacy behavior to be compatible with.
================================================================================
 #2   Philip J                                        2012-05-23 14:50:56 +0000 
--------------------------------------------------------------------------------
Opera supports elm.properties("foo") as per spec, but I don't object to dropping it.
================================================================================
 #3   Philip J                                        2012-05-23 14:51:32 +0000 
--------------------------------------------------------------------------------
Discussion spawned from https://bugzilla.mozilla.org/show_bug.cgi?id=591467
================================================================================
 #4   David Zbarsky                                   2012-05-25 00:25:57 +0000 
--------------------------------------------------------------------------------
Also, PropertyNodeList doesn't need legacycaller, since NodeList no longer has legacycaller.
================================================================================
Comment 1 Ms2ger 2012-08-15 17:13:42 UTC
Filter on [Idon'tcareaboutHTMLWGbugspam].
Comment 2 Silvia Pfeiffer 2012-09-21 10:22:00 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
   you are satisfied with this response, please change the state of
   this bug to CLOSED. If you have additional information and would
   like the Editor to reconsider, please reopen this bug. If you would
   like to escalate the issue to the full HTML Working Group, please
   add the TrackerRequest keyword to this bug, and suggest title and
   text for the Tracker Issue; or you may create a Tracker Issue
   yourself, if you are able to do so. For more details, see this
   document:       http://dev.w3.org/html5/decision-policy/decision-policy.html

   Status: Accepted
   Change Description: Patch applied
https://github.com/w3c/html/commit/fca0a2c9df9f5524162aefada6c856a8d81d62e0
   Rationale: adopted from WHATWG